Subject: BA-Taps and Dies?

From: [email-masked] (Ulf Jonsson)
Date: 29 Jan 1994 02:46:57 GMT

I would like to buy a set of BA-taps and dies for building a Stuart
Viktoria. I have a few since a 10-V project. Is there any one with some to
sell or with knowledge of where to get them for a descent price?

Please reply by E-Mail.

Ulf